## WebKitPolicyDecision WebKitPolicyDecision — A pending policy decision |

## Functions

void | webkit_policy_decision_download ()
void | webkit_policy_decision_ignore ()
void | webkit_policy_decision_use ()

## Types and Values

struct | WebKitPolicyDecision

## Object Hierarchy

        GObject
        ╰── WebKitPolicyDecision
            ├── WebKitNavigationPolicyDecision
            ╰── WebKitResponsePolicyDecision

## Description

Often WebKit allows the client to decide the policy for certain operations. For instance, a client may want to open a link in a new tab, block a navigation entirely, query the user or trigger a download instead of a navigation. In these cases WebKit will fire the “decide-policy” signal with a WebKitPolicyDecision object. If the signal handler does nothing, WebKit will act as if `webkit_policy_decision_use()` was called as soon as signal handling completes. To make a policy decision asynchronously, simply increment the reference count of the WebKitPolicyDecision object.

## Functions

### webkit_policy_decision_download ()

    void
    webkit_policy_decision_download (WebKitPolicyDecision *decision);

Spawn a download from this decision.

#### Parameters

decision | a WebKitPolicyDecision |

### webkit_policy_decision_ignore ()

    void
    webkit_policy_decision_ignore (WebKitPolicyDecision *decision);

Ignore the action which triggerd this decision. For instance, for a WebKitResponsePolicyDecision, this would cancel the request.

#### Parameters

decision | a WebKitPolicyDecision |

### webkit_policy_decision_use ()

    void
    webkit_policy_decision_use (WebKitPolicyDecision *decision);

Accept the action which triggerd this decision.

#### Parameters

decision | a WebKitPolicyDecision |

## Types and Values

### struct WebKitPolicyDecision

    struct WebKitPolicyDecision;

## See Also

WebKitWebView